net.sf.statcvs.pages

## Class DirectoryTreeFormatter

- java.lang.Object
- - net.sf.statcvs.pages.DirectoryTreeFormatter

-     public class DirectoryTreeFormatter
      extends java.lang.Object

  Formats a directory and its subdirectories into a tree.
  Version:
    $Id: DirectoryTreeFormatter.java,v 1.6 2008/04/02 11:22:14 benoitx Exp $
  Author:
    Richard Cyganiak (richard@cyganiak.de)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryTreeFormatter(Directory directory, boolean withRootLinks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormatted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryTreeFormatter

          public DirectoryTreeFormatter(Directory directory,
                                boolean withRootLinks)

  - ### Method Detail

    - #### getFormatted

          public java.lang.String getFormatted()